Bug 1558887 - assertion failed (core dumped) while converting wav to hcom on 64 bit big endian machine
Summary: assertion failed (core dumped) while converting wav to hcom on 64 bit big end...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sox
Version: 28
Hardware: ppc64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Kucera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-21 08:46 UTC by Jiri Kucera
Modified: 2018-03-30 13:12 UTC (History)
6 users (show)

Fixed In Version: sox-14.4.2.0-20.fc26 sox-14.4.2.0-20.fc27 sox-14.4.2.0-20.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-29 15:53:43 UTC
Type: Bug


Attachments (Terms of Use)
Sample wav file (1.63 KB, audio/x-wav)
2018-03-21 08:46 UTC, Jiri Kucera
no flags Details

Description Jiri Kucera 2018-03-21 08:46:10 UTC
Created attachment 1411037 [details]
Sample wav file

Description of problem:
On 64 bit big endian machines like ppc64 or s390x the attempt to convert WAV to HCOM is aborted.

Version-Release number of selected component (if applicable):
14.4.2

How reproducible:
Allways on 64 bit big endian machines.

Steps to Reproduce:
1. run sox monkey.wav -r 22050 monkey.hcom
2.
3.

Actual results:
sox: hcom.c:301: makecodes: Assertion `b' failed.
Aborted                 (core dumped) sox monkey.wav -r 22050 monkey.hcom

Expected results:
exit status: 0

Additional info:
See also https://sourceforge.net/p/sox/bugs/308/

Comment 1 Fedora Update System 2018-03-21 14:10:44 UTC
sox-14.4.2.0-20.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1115aa4335

Comment 2 Fedora Update System 2018-03-21 14:12:42 UTC
sox-14.4.2.0-20.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b215123928

Comment 3 Fedora Update System 2018-03-21 14:14:36 UTC
sox-14.4.2.0-20.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f9632bca65

Comment 4 Fedora Update System 2018-03-21 15:01:45 UTC
sox-14.4.2.0-20.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f9632bca65

Comment 5 Fedora Update System 2018-03-21 15:58:08 UTC
sox-14.4.2.0-20.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b215123928

Comment 6 Fedora Update System 2018-03-22 14:13:04 UTC
sox-14.4.2.0-20.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1115aa4335

Comment 7 Fedora Update System 2018-03-29 15:53:43 UTC
sox-14.4.2.0-20.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-03-29 16:20:48 UTC
sox-14.4.2.0-20.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-03-30 13:12:45 UTC
sox-14.4.2.0-20.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.